using Hims.Domain.Entities;
using Hims.Shared.EntityModels;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Hims.Domain.Services
{
    public interface IAmbulanceService
    {
        
        Task<int> AddAsync(AmbulanceModel model);

        Task<IEnumerable<AmbulanceModel>> FetchAsync(AmbulanceModel model);

        Task<int> UpdateAsync(AmbulanceModel model);

        
        Task<int> ModifyStatusAsync(int ambulanceModelId, int modifiedBy, bool status);


        
        //Task<int> DeleteAsync(int ambulanceModelId);

        Task<string> FindNameByAmbulanceId(int ambulanceModelId);
    }
}
